Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.access.event
Class SnapshotEvent

    java.lang.Object
      java.util.EventObject
          org.apache.cayenne.event.CayenneEvent
              org.apache.cayenne.access.event.SnapshotEvent

All Implemented Interfaces:
  Serializable

    public class SnapshotEvent

extends CayenneEvent

Event sent on modification of the DataRowStore.

Since:
  1.1
See Also:
  Serialized Form

Field Summary
`protected Collection` | `deletedIds`
`protected Collection` | `indirectlyModifiedIds`
`protected Collection` | `invalidatedIds`
`protected Map` | `modifiedDiffs`
`protected long` | `timestamp`

Fields inherited from class org.apache.cayenne.event.CayenneEvent
`info, postedBy, subject`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`SnapshotEvent(Object source, Object postedBy, Map modifiedDiffs, Collection deletedIds, Collection invalidatedIds, Collection indirectlyModifiedIds)`

Method Summary
`Collection` | `getDeletedIds()`
`Collection` | `getIndirectlyModifiedIds()`
`Collection` | `getInvalidatedIds()`
`Map` | `getModifiedDiffs()`
`long` | `getTimestamp()`
`String` | `toString()`

Methods inherited from class org.apache.cayenne.event.CayenneEvent
`getInfo, getPostedBy, getSubject, setPostedBy, setSubject`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### timestamp

    protected long timestamp

### deletedIds

    protected Collection deletedIds

### invalidatedIds

    protected Collection invalidatedIds

### modifiedDiffs

    protected Map modifiedDiffs

### indirectlyModifiedIds

    protected Collection indirectlyModifiedIds

Constructor Detail

### SnapshotEvent

    public SnapshotEvent(Object source,
                         Object postedBy,
                         Map modifiedDiffs,
                         Collection deletedIds,
                         Collection invalidatedIds,
                         Collection indirectlyModifiedIds)

Method Detail

### getTimestamp

    public long getTimestamp()

### getModifiedDiffs

    public Map getModifiedDiffs()

### getDeletedIds

    public Collection getDeletedIds()

### getInvalidatedIds

    public Collection getInvalidatedIds()

### getIndirectlyModifiedIds

    public Collection getIndirectlyModifiedIds()

### toString

    public String toString()

  Overrides:
    `toString` in class `EventObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.